import { C as c } from "../chunks/lib-cortex-element.CVMmyPMC.js";
import { c as l } from "../chunks/component.styles.CRO4Odto.js";
import { c as m } from "../chunks/custom-element.L4WJXn1j.js";
import { L as p } from "../chunks/i18n.BABe9hN4.js";
import { i as d, x as h } from "../chunks/lit-element.jLBm65_O.js";
const f = d`:host{--track-width:2px;--track-color:#80808040;--indicator-color:var(--cx-color-primary);--speed:2s;flex:none;width:1em;max-width:1em;height:1em;max-height:1em;display:inline-flex}.spinner{flex:auto;width:1em;height:1em}.spinner__track,.spinner__indicator{fill:none;stroke-width:var(--track-width);r:calc(.5em - var(--track-width) / 2);cx:calc(.5em);cy:calc(.5em);transform-origin:.5em .5em}.spinner__track{stroke:var(--track-color);transform-origin:0 0}.spinner__indicator{stroke:var(--indicator-color);stroke-linecap:round;stroke-dasharray:150% 75%;animation:spin var(--speed) linear infinite}@keyframes spin{0%{stroke-dasharray:.05em 3em;transform:rotate(0)}50%{stroke-dasharray:1.375em 1.375em;transform:rotate(450deg)}to{stroke-dasharray:.05em 3em;transform:rotate(1080deg)}}`;
var k = Object.getOwnPropertyDescriptor, _ = (a, s, n, o) => {
  for (var r = o > 1 ? void 0 : o ? k(s, n) : s, e = a.length - 1, i; e >= 0; e--)
    (i = a[e]) && (r = i(r) || r);
  return r;
};
let t = class extends c {
  constructor() {
    super(...arguments), this.localize = new p(this);
  }
  render() {
    return h`<svg part="base" class="spinner" role="progressbar" aria-label=${this.localize.term("loading")}><circle class="spinner__track"></circle><circle class="spinner__indicator"></circle></svg>`;
  }
};
t.styles = [l, f];
t = _([
  m("cx-spinner")
], t);
export {
  t as default
};
